;; Adjust emacs load path
(setq load-path (append
		 (list (expand-file-name "~/emacs")
		       (expand-file-name "~/emacs/tramp/lisp")
		       )
		 load-path
		 ))


;; Help handling file types (prefer to work with Unix style line endings)
(setq-default buffer-file-coding-system 'undecided-unix)

;; Mon 24-Jun-2002; Douglas Gray Stephens
;;  Add tramp support
(require 'tramp)
(setq tramp-verbose 10) ;; Help debugging
(setq tramp-debug-buffer t) ;; Help debugging
(setq tramp-auto-save-directory "d:/temp") ;; Faster auto saves
(setq  tramp-rsh-end-of-line "\r\n") ;; May be related to using
                                     ;; (setq-default buffer-file-coding-system 'undecided-unix)
(setq tramp-default-method "plink")
(add-to-list 'tramp-remote-path "/export/home/gray/bin")

(add-to-list 
 'tramp-methods
 '("plink"    
   (tramp-connection-function  tramp-open-connection-rsh)
   (tramp-rsh-program          "plink")
   (tramp-rcp-program          nil)
   (tramp-remote-sh            "/bin/sh")
   (tramp-rsh-args             ("-v" "-ssh")) ;; "-v" optional
   (tramp-rcp-args             nil)
   (tramp-rcp-keep-date-arg    nil)
   (tramp-su-program           nil)
   (tramp-su-args              nil)
   (tramp-encoding-command     "mimencode -b")
   (tramp-decoding-command     "mimencode -u -b")
   (tramp-encoding-function    base64-encode-region)
   (tramp-decoding-function    base64-decode-region)
   (tramp-telnet-program       nil)
   (tramp-telnet-args          nil)
   )
 )
